Get the currently running job

(Deprecated)
get/projects/{projectId}/retrainJobs/@currentJob

Returns the currently running job. The response object contains the representation of the job that is currently running. This endpoint has been deprecated and replaced by the GET /dataMiningProjectResources/projects/{projectId}/retrainJobs/@currentJob endpoint.

Request Samples

1

Response Samples

1{
2 "creationTimeStamp": "2023-09-29T11:00:10.301Z",
3 "createdBy": "username",
4 "modifiedTimeStamp": "2023-09-29T11:00:11.608Z",
5 "modifiedBy": "username",
6 "version": 4,
7 "id": "73276840-280e-4c9e-8d6a-8033ce42d66f",
8 "state": "running",
9 "jobRequest": {
10 "version": 3,
11 "name": "Batch Retrain Job for Data Mining",
12 "description": "This job handles all of the tasks necessary to perform a batch retrain of the Data Mining Project (ID 27365513-b8cb-409e-910e-a679d3f1b4cb).",
13 "jobDefinition": {
14 "version": 2,
15 "type": "datamining",
16 "code": "null",
17 "properties": [
18 {
19 "name": "retrainingJobName",
20 "value": "batchRetraining"
21 },
22 {
23 "name": "projectId",
24 "value": "27365513-b8cb-409e-910e-a679d3f1b4cb"
25 },
26 {
27 "name": "dataUri",
28 "value": "/dataTables/dataSources/cas~fs~cas-shared-default~fs~Public/tables/HMEQ"
29 }
30 ]
31 },
32 "arguments": {
33 "dataMiningProjectId": "27365513-b8cb-409e-910e-a679d3f1b4cb",
34 "jobName": "batchRetraining"
35 },
36 "createdByApplication": "datamining"
37 },
38 "heartbeatInterval": 0,
39 "elapsedTime": 1440,
40 "submittedByApplication": "datamining",
41 "links": []
42}

Path Parameters

NameTypeRequiredDescription
projectId
string
true

The identifier of the project.

Responses

StatusMeaningDescription
200OK

The request succeeded.

HeadersSchema
308Permanent Redirect

The request is redirected to a new permanent URL.

HeadersSchema